ExchangeAdministrativeGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.exchange.ExchangeAdministrativeGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.exchange
Interface ExchangeAdministrativeGroup

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ExchangeAdministrativeGroup

extends LogicalElement

Represents the Exchange Administrative Group

Naming Rules:
  0="distinguishedName"
Persistable:
  true
Table Name:
  EXCHADGRP
Display Name:
  administrativeGroupName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAdministrativeGroupName()` The name of the administrive group Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_Server.AdministrtiveGroup
`java.lang.String` | `getDistinguishedName()` The distinguished name of the administrative group Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_Server.AdministrtiveGroup
`ExchangeFolderTree[]` | `getFolderTrees()`
`ExchangeRoutingGroup[]` | `getRoutingGroups()`
`ExchangeServer[]` | `getServers()`
`boolean` | `hasAdministrativeGroupName()`
`boolean` | `hasDistinguishedName()`
`boolean` | `hasFolderTrees()`
`boolean` | `hasRoutingGroups()`
`boolean` | `hasServers()`
`void` | `setAdministrativeGroupName(java.lang.String x)`
`void` | `setDistinguishedName(java.lang.String x)`
`void` | `setFolderTrees(ExchangeFolderTree[] x)`
`void` | `setRoutingGroups(ExchangeRoutingGroup[] x)`
`void` | `setServers(ExchangeServer[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getAdministrativeGroupName

    java.lang.String getAdministrativeGroupName()
                                                throws AttributeNotSetException

  The name of the administrive group Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_Server.AdministrtiveGroup

  Throws:
    `AttributeNotSetException`

### setAdministrativeGroupName

    void setAdministrativeGroupName(java.lang.String x)

### hasAdministrativeGroupName

    boolean hasAdministrativeGroupName()

### getFolderTrees

    ExchangeFolderTree[] getFolderTrees()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setFolderTrees

    void setFolderTrees(ExchangeFolderTree[] x)

### hasFolderTrees

    boolean hasFolderTrees()

### getServers

    ExchangeServer[] getServers()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setServers

    void setServers(ExchangeServer[] x)

### hasServers

    boolean hasServers()

### getRoutingGroups

    ExchangeRoutingGroup[] getRoutingGroups()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setRoutingGroups

    void setRoutingGroups(ExchangeRoutingGroup[] x)

### hasRoutingGroups

    boolean hasRoutingGroups()

### getDistinguishedName

    java.lang.String getDistinguishedName()
                                          throws AttributeNotSetException

  The distinguished name of the administrative group Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_Server.AdministrtiveGroup

  Throws:
    `AttributeNotSetException`

### setDistinguishedName

    void setDistinguishedName(java.lang.String x)

### hasDistinguishedName

    boolean hasDistinguishedName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD